import React from 'react';

export default ({ channel }) => {
  return (
    <div className='channel-view'>
      <h2>{channel.name}</h2>
      <ul>
        <li>
          <span>{`# ${channel.id}`}</span>
          {channel.name}
        </li>
        {channel.totalClients >= 0 && (
          <li>
            <span>Users online</span>
            {channel.totalClients}
          </li>
        )}
        {channel.subchannels.length > 0 && (
          <li>
            <span>Subchannels:</span>
          </li>
        )}
      </ul>
    </div>
  );
};
